Update conversation template
Update conversation template. See the OpenAPI-defined parameters, request body, and responses below.
PUT
/ConversationTemplate/{id}Update conversation template. See the OpenAPI-defined parameters, request body, and responses below.
OpenAPI description: Este endpoint atualiza os dados de um template de conversa existente identificado pelo id.
Authentication
Authentication required. Send your user API key in the X-API-Key header.
Parameters
| Name | Location | Type | Required | Description | Constraints |
|---|---|---|---|---|---|
id | path | integer · int32 | Yes | — | — |
Request body
Content type: application/json · Schema: ConversationTemplateDto
| Property | Type | Required | Description | Constraints |
|---|---|---|---|---|
id | integer · int32 | No | — | — |
active | boolean | No | — | — |
contentSid | string | No | — | nullable |
name | string | No | — | nullable |
message | string | No | — | nullable |
createdAt | string · date-time | No | — | — |
conversationTemplateType | ConversationTemplateType | No | — | — |
contentVariables | object | No | — | nullable |
approvalStatus | ApprovalStatus | No | — | — |
botId | integer · int32 | No | — | — |
language | string | No | — | nullable |
queueIds | array<integer · int32> | No | — | nullable |
groupIds | array<integer · int32> | No | — | nullable |
Example request
curl --request PUT \
--url 'https://api.zild.ai/ConversationTemplate/{id}' \
--header 'X-API-Key: YOUR_USER_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"id": 0,
"active": true,
"contentSid": "string",
"name": "string",
"message": "string",
"createdAt": "2026-09-22T18:00:00Z",
"conversationTemplateType": 0,
"contentVariables": {},
"approvalStatus": 0,
"botId": 0,
"language": "string",
"queueIds": [
0
],
"groupIds": [
0
]
}'
Responses
| Status | Description | Response body |
|---|---|---|
200 | Template atualizado com sucesso | No response body is defined. |
Data models
ApprovalStatus
0 = NotRequested; 1 = Received; 2 = Pending; 3 = Approved; 4 = Rejected
integer
ConversationTemplateDto
| Property | Type | Required | Description | Constraints |
|---|---|---|---|---|
id | integer · int32 | No | — | — |
active | boolean | No | — | — |
contentSid | string | No | — | nullable |
name | string | No | — | nullable |
message | string | No | — | nullable |
createdAt | string · date-time | No | — | — |
conversationTemplateType | ConversationTemplateType | No | — | — |
contentVariables | object | No | — | nullable |
approvalStatus | ApprovalStatus | No | — | — |
botId | integer · int32 | No | — | — |
language | string | No | — | nullable |
queueIds | array<integer · int32> | No | — | nullable |
groupIds | array<integer · int32> | No | — | nullable |
ConversationTemplateType
0 = Utility; 1 = Marketing; 2 = Authentication
integer